Subject: Re: [ogpx] Global Agent Domain Registry [Was: Re: OpenID and OGP : beginning the discussion ...]

From: Kajikawa Jeremy <[email-masked]>
Date: Mon, 06 Jul 2009 17:56:53 +0900

Why not a simple option of including an "@domain" extra identifier?
 when interacting with multiple domains...

Each domain keeps an own registry and cross-domain relations can
  use a pre-agreed Domain ID...

That way anyone can use a given name but confusion is avoided since
  there are people already existing with the same name that I am already
  aware of (R.W. solution is middle initial or other seperator when
together)

Why not re-use an already usable social custom and define for any
interop
  across "Agent Domain"s ...

similar to "[email-masked]" being different to
"[email-masked]",
  and I would suggest use of the Originating AgentDomain as being the
  seperator for this use case of multiple-same-name Avatars 

On Sun, 2009-06-28 at 09:06 -0700, Infinity Linden wrote:
> okay... so it seems like you're actually asking... "how do we maintain
> global avatar name uniqueness if avatar first and last name are used
> as primary keys for logging in?"
> 
> there was some discussion about a global avatar name registry last
> year in the SL Architecture Working Group, though i don't think there
> were any definitive results.
> 
> i think we're punting on the problem with respect to protocol
> development. that is, i don't think the protocol specifications will
> say anything about the expectation that an agent name be globally
> unique across grids.
> 
> deploying such a service would be quite an effort in terms of community buy-in.
> 
> that being said, there's no reason it can't be done in the future or
> as a project of a non-IETF group.
> 
> for the time being, we can use account identifiers to guarantee
> uniqueness; or at least that's my sense given the lack of radical
> agreement in the topic.
> 
> in other words, i think it's a topic that will lead to wailing and
> gnashing of teeth and would only serve to delay production of
> standards that people _do_ agree on.
> 
> On Sun, Jun 28, 2009 at 5:34 AM, Carlo Wood<[email-masked]> wrote:
> > I'm glad it doesn't imply that then :p
> >
> > Nevertheless, it worries me a bit. At some point we want to be able to
> > teleport between grids right? Surely the people will want to have the
> > same name (and shape) after they teleported in most cases.
> >
> > If the same first_name+last_name is only unique per grid, then
> > people will (have to) start fights about names: one has to register
> > the same first_name+last_name on every grid you want to use.
> >
> > The make a long story short: they same wars and trouble will immerse
> > as are happening on IRC now: too many people in a too small namespace.
> >
> > At some point there will come the strong demand for a "nick serv",
> > some central point where people can reserve their name for every
> > large grid on the planet and claim for themselves (for example, to
> > stop forms of impersonations). That would be 'hack'.
> >
> > I think we have to seriously think about this. Perhaps there is a
> > better solution than 'first name / last name' to login ;).
> >
> > On Sat, Jun 27, 2009 at 03:54:08PM -0700, Infinity Linden wrote:
> >> why would this imply global uniqueness? it describes a message sent
> >> from a client to a particular protocol endpoint.
> >>
> >> On Sat, Jun 27, 2009 at 3:33 AM, Carlo Wood<[email-masked]> wrote:
> >> >>    & identifier = {
> >> >>      type: 'account',
> >> >>      account_name: string,
> >> >>      first_name: string,
> >> >>      last_name: string,
> >> >>    }
> >> >>
> >> >>    & identifier = {
> >> >>        type: 'agent',
> >> >>        first_name: string,
> >> >>        last_name: string,
> >> >>    }
> >> >
> >> > This seems to implicate that first_name + last_name
> >> > have to be unique not only per grid, but globally
> >> > for every virtual world.
> >> >
> >> > Is that true? Or would it be possible to use a different
> >> > name on different grids? Would it be possible that different
> >> > unrelated people use the same name on different grids?
> >
> > --
> > Carlo Wood <[email-masked]>
> >
> _______________________________________________
> ogpx mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ogpx